import {
	WeaTools
} from 'ecCom'

export const getAuth = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salaryitem/getHasRight', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salaryitem/getButtonMenu', 'POST', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salaryitem/getSalaryItemList', 'POST', params);
}

export const getSearchItems = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salaryitem/getSalaryItemListCondition', 'GET', params);
}

export const getSalaryForm = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salaryitem/getSalaryItemForm?is_multilang_set=true', 'POST', params);
}

export const getTableEditDatas = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salaryitem/getSalaryItemDetailForm', 'POST', params);
}

export const deleteTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salaryitem/delSalaryItem', 'POST', params);
}

export const batchHandle = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salaryitem/processSalaryItem', 'POST', params);
}

export const getConditionCascader = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salaryitem/getConditions', 'POST', params);
}

export const getFormulaCascader = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salaryitem/getFormula', 'POST', params);
}

export const getFormulaSpCascader = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salaryitem/getOtherFormula', 'POST', params);
}

export const addSalaryItems = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salaryitem/addSalaryItem', 'POST', params);
}

export const editSalaryItems = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salaryitem/editSalaryItem', 'POST', params);
}